<mat-toolbar>
  <span>{{service.form.controls['$key'].value?"Modify Sales" : "New Sales"}}</span>
  <span class="fill-remaining-space"></span>
  <!-- <button class="btn-dialog-close" mat-stroked-button (click)="onClose()" tabindex="-1"><mat-icon>clear</mat-icon></button> -->
</mat-toolbar>

<form [formGroup]="service.form" class="normal-form" (submit)="onSubmit()">
<mat-grid-list cols="2" rowHeight="300px">
  <mat-grid-tile>
    <div class="controles-container">
      <input type="hidden" formControlName="$key">
      <!-- <mat-form-field>
        <input formControlName="car" matInput placeholder="Car*">
        <mat-error>This field is mandatory.</mat-error>
      </mat-form-field> -->


      <mat-form-field>
          <mat-select formControlName="car" placeholder="Car*">
            <mat-option>None</mat-option>
            <ng-container *ngFor="let car of carService.array">
              <mat-option value="{{car}}">{{car}}</mat-option>
            </ng-container>
          </mat-select>
        </mat-form-field>

      <mat-form-field>
        <input formControlName="customers" matInput placeholder="Customers">
      </mat-form-field>

    </div>
  </mat-grid-tile>
  <mat-grid-tile>
    <div class="controles-container">
      <div class="button-row">
        <button mat-raised-button color="primary" [disabled]="service.form.invalid" type="submit">Submit</button>
        <button mat-raised-button color="warn" (click)="onBack()">Back</button>
      </div>
    </div>
  </mat-grid-tile>
</mat-grid-list>

</form>
